## kcontacts 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.116.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts

project(KContacts VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.116.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION 5.15.2)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(KCONTACTS_LIB_VERSION ${KF_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KContacts
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Gui Quick)
set_package_properties(Qt${QT_MAJOR_VERSION}Gui PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic library component"
)
set_package_properties(Qt${QT_MAJOR_VERSION}Quick PROPERTIES
    TYPE OPTIONAL
    PURPOSE "QtQuick plugin"
)
find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"kcontacts5\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Contacts")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Contacts_QCH
        FILE KF5ContactsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ContactsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ContactsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ContactsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ContactsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KContacts COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kcontacts (5:5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Disable build time tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:17:42 +0100

kcontacts (5:5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:40:30 +0200

kcontacts (5:5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:40:40 +0100

kcontacts (5:5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:29:34 +0000

kcontacts (5:5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:47:54 +0000

kcontacts (5:5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:48:18 -0700

kcontacts (5:5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:06:17 -0700

kcontacts (5:5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:44:56 -0700

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf5codecs-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               locales-all <!nocheck>,
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.116.0~),
         libkf5config-dev (>= 5.116.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.116.0~),
         libkf5i18n-dev (>= 5.116.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it causes build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kcontacts 5.116.0+p24.04+vstable+git20250916.0149

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20250916.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:49:15 +0000

kcontacts (5:5.116.0-0neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:37:37 +1000

kcontacts (5:5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:21:23 +0000

kcontacts (5:5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:15:38 +0000

kcontacts (5:5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:57:06 +0000

kcontacts (5:5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 07:20:31 +0000

kcontacts (5:5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:31:55 +0000

kcontacts (5:5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:20:23 +0000

kcontacts (5:5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:23:30 +0000

kcontacts (5:5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 21:48:05 +0000

kcontacts (5:5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:33:19 +0000

kcontacts (5:5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:51:08 +0000

## kcontacts 5.116.0+p24.04+vstable+git20251015.0826

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20251015.0826-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:26:42 +0000

## kcontacts 5.116.0+p24.04+vstable+git20251019.0405

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20251019.0405-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:05:32 +0000

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Git: https://invent.kde.org/neon/kde/kcontacts.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcontacts
Maintainer: Neon CI <neon@kde.org>

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Depends: libkf5codecs-dev,
         libkf5config-dev,
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.19.0~),
         libkf5i18n-dev,
         ${misc:Depends}
Recommends: libkf5contacts-doc (= ${source:Version})
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: address book API for KDE frameworks
 KContacts is an API for address book data.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

## kcontacts 5.116.0+p24.04+vstable+git20251028.0954

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20251028.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:54:20 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5contacts-dbg (<= 15.12.1-1~~)'

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kcontacts 5.116.0+p24.04+vstable+git20251031.0718

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20251031.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:18:36 +0000

## kcontacts 5.116.0+p24.04+vstable+git20251031.0729

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20251031.0729-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:29:11 +0000

## kcontacts 5.116.0+p24.04+vstable+git20251231.0119

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20251231.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:19:36 +0000

## kcontacts 5.116.0+p24.04+vstable+git20260113.0254

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vstable+git20260113.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:54:58 +0000

## kcontacts 5.116.0+p24.04+vunstable+git20250914.1210

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vunstable+git20250914.1210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 12:10:11 +0000

## kcontacts 5.116.0+p24.04+vunstable+git20251015.0945

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vunstable+git20251015.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:45:10 +0000

## kcontacts 5.116.0+p24.04+vunstable+git20251020.0212

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vunstable+git20251020.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:12:54 +0000

## kcontacts 5.116.0+p24.04+vunstable+git20251111.0503

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vunstable+git20251111.0503-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:03:34 +0000

## kcontacts 5.116.0+p24.04+vunstable+git20251124.0753

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vunstable+git20251124.0753-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:53:55 +0000

## kcontacts 5.116.0+p24.04+vunstable+git20260123.0309

=== debian/changelog ===
kcontacts (5:5.116.0+p24.04+vunstable+git20260123.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:09:36 +0000

## kcontacts 15.08.2

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libkf5codecs-dev (>= 5.12.0~),
               libkf5config-dev (>= 5.12.0~),
               libkf5coreaddons-dev (>= 5.12.0~),
               libkf5i18n-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcontacts.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcontacts.git

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Depends: libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev,
         ${misc:Depends}
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: libkf5contacts-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5contacts5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the debug symbols.

## kcontacts 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KContacts)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KContacts_SOURCE_DIR}/cmake)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.14.0")
set(KCONTACTS_LIB_VERSION "4.92.0")

ecm_setup_version(${KCONTACTS_LIB_VERSION} VARIABLE_PREFIX KContacts
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(Qt5 5.4 REQUIRED COMPONENTS DBus Gui)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"kcontacts5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Contacts")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ContactsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ContactsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ContactsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kcontacts (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:13:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               libkf5codecs-dev (>= 5.12.0~),
-               libkf5config-dev (>= 5.12.0~),
-               libkf5coreaddons-dev (>= 5.12.0~),
-               libkf5i18n-dev (>= 5.12.0~),
-               pkg-kde-tools (>> 0.15.15)
+               extra-cmake-modules (>= 5.14.0~),
+               libkf5codecs-dev (>= 5.14.0~),
+               libkf5config-dev (>= 5.14.0~),
+               libkf5coreaddons-dev (>= 5.14.0~),
+               libkf5i18n-dev (>= 5.14.0~),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcontacts.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcontacts.git
@@ -20,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5contacts5 (= ${binary:Version}),
-         libkf5coreaddons-dev,
+         libkf5coreaddons-dev (>= 5.14.0~),
          ${misc:Depends}
 Description: development files for kcontacts
  KContacts is an API for address book data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5contacts-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kcontacts-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kcontacts-([\d.]+).tar.xz

## kcontacts 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KContacts)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KContacts_SOURCE_DIR}/cmake)
 
 include(GenerateExportHeader)
@@ -14,11 +14,11 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.14.0")
-set(KCONTACTS_LIB_VERSION "4.92.0")
+set(KF5_VERSION "5.19.0")
+set(KCONTACTS_LIB_VERSION "5.2.2")
 
 ecm_setup_version(${KCONTACTS_LIB_VERSION} VARIABLE_PREFIX KContacts
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h"

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

set(QT_REQUIRED_VERSION "5.2.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

########### next target ###############

set(testroundtrip_srcs testroundtrip.cpp)
qt5_add_resources(testroundtrip_srcs testroundtrip.qrc)
add_executable(testroundtrip ${testroundtrip_srcs})
add_test(NAME kcontacts-testroundtrip COMMAND testroundtrip)
target_link_libraries(testroundtrip KF5Contacts Qt5::Test)

ecm_add_tests(addresseetest.cpp impptest.cpp emailtest.cpp addresstest.cpp geotest.cpp keytest.cpp phonenumbertest.cpp picturetest.cpp secrecytest.cpp soundtest.cpp timezonetest.cpp  contactgrouptest.cpp vcarddragtest.cpp langtest.cpp gendertest.cpp  calendarurltest.cpp ldifconvertertest.cpp relatedtest.cpp resourcelocatorurltest.cpp NAME_PREFIX "kcontacts-" LINK_LIBRARIES KF5Contacts Qt5::Test KF5::ConfigCore Qt5::Gui)

=== src/vcardparser/CMakeLists.txt ===


########### install files ###############
install(
  FILES
  vcard.h
  vcardline.h
  vcardparser.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/kcontacts COMPONENT Devel
)

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcontacts.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcontacts.git

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Depends: libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.19.0~),
         ${misc:Depends}
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5contacts-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kcontacts 16.04.3

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               libkf5codecs-dev (>= 5.19.0~),
-               libkf5config-dev (>= 5.19.0~),
-               libkf5coreaddons-dev (>= 5.19.0~),
-               libkf5i18n-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcontacts.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcontacts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
 
 Package: libkf5contacts-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5contacts5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.19.0~),
+         libkf5coreaddons-dev (>= 5.14.0~),
          ${misc:Depends}
 Description: development files for kcontacts
  KContacts is an API for address book data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5contacts-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kcontacts 17.12.3

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

########### next target ###############

set(testroundtrip_srcs testroundtrip.cpp)
qt5_add_resources(testroundtrip_srcs testroundtrip.qrc)
add_executable(testroundtrip ${testroundtrip_srcs})
add_test(NAME kcontacts-testroundtrip COMMAND testroundtrip)
target_link_libraries(testroundtrip KF5Contacts Qt5::Test)

ecm_add_tests(birthdaytest.cpp
    addresseetest.cpp
    impptest.cpp
    emailtest.cpp
    addresstest.cpp
    geotest.cpp
    keytest.cpp
    phonenumbertest.cpp
    secrecytest.cpp
    soundtest.cpp
    timezonetest.cpp
    contactgrouptest.cpp
    vcarddragtest.cpp
    langtest.cpp gendertest.cpp
    calendarurltest.cpp
    ldifconvertertest.cpp
    relatedtest.cpp
    resourcelocatorurltest.cpp
    customidentifiertest.cpp
    vcardlinetest.cpp
    fieldgrouptest.cpp
    importexportvcardtest.cpp
    titletest.cpp
    nicknametest.cpp
    roletest.cpp
    orgtest.cpp
    datetimetest.cpp
    clientpidmaptest.cpp
    vcardtool_benchmark.cpp
    NAME_PREFIX "kcontacts-" LINK_LIBRARIES KF5Contacts Qt5::Test KF5::ConfigCore)

ecm_add_tests(picturetest.cpp
    NAME_PREFIX "kcontacts-" LINK_LIBRARIES KF5Contacts Qt5::Test KF5::ConfigCore Qt5::Gui)

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
 
 Package: libkf5contacts-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5contacts5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.14.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: development files for kcontacts
  KContacts is an API for address book data.
@@ -32,6 +32,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: data files for kcontacts
  KContacts is an API for address book data.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	$(overridden_command) --ddeb-migration='libkf5contacts-dbg (<= 15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11, xvfb, xauth, libkf5kdelibs4support-data
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kcontacts 18.04.3

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: libkf5contacts5 (= ${binary:Version}),
          libkf5coreaddons-dev (>= 5.31.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for kcontacts
  KContacts is an API for address book data.
  .

## kcontacts 18.08.3

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcontacts.git

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.47.0~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.
Breaks: libkf5akonadicontact-dev (<< 4:17.08),
        libkf5akonadisearch-dev (<< 4:17.08),
        libkf5libkdepim-dev (<< 4:17.08),
        libkf5pimcommon-dev (<< 4:17.08),

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: address book API for KDE frameworks
 KContacts is an API for address book data.
Breaks: akonadiconsole (<< 4:17.08),
        kaddressbook (<< 4:17.08),
        kalarm (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        kdepim-themeeditors (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5akonadicalendar5 (<< 4:17.08),
        libkf5akonadicontact5 (<< 4:17.08),
        libkf5akonadisearch-bin (<< 4:17.08),
        libkf5akonadisearch-plugins (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor5 (<< 17.08),
        libkf5kaddressbookgrantlee5 (<< 4:17.08),
        libkf5libkdepim5 (<< 4:17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        libkf5pimcommon5 (<< 4:17.08),
        libkf5tnef5 (<< 4:17.08),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5contacts-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	-xvfb-run -- dh_auto_test --no-parallel

## kcontacts 18.08.3.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(KContacts VERSION ${PIM_VERSION})

# ECM setup
set(QT_REQUIRED_VERSION "5.9.0")
set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KContacts_SOURCE_DIR}/cmake)
set(CMAKE_AUTORCC ON)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)



set(KCONTACTS_LIB_VERSION ${PIM_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KContacts
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"kcontacts5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Contacts")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ContactsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ContactsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ContactsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

install( FILES kcontacts.renamecategories kcontacts.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
set(vcardparser_SRCS
  vcardparser/vcard.cpp
  vcardparser/vcardline.cpp
  vcardparser/vcardparser.cpp
)

set(kcontacts_SRCS
  address.cpp
  addressee.cpp
  addresseehelper.cpp
  addresseelist.cpp
  calendarurl.cpp
  contactgroup.cpp
  contactgrouptool.cpp
  email.cpp
  field.cpp
  geo.cpp
  gender.cpp
  impp.cpp
  key.cpp
  lang.cpp
  ldapdn.cpp
  ldif.cpp
  phonenumber.cpp
  picture.cpp
  related.cpp
  resourcelocatorurl.cpp
  secrecy.cpp
  sortmode.cpp
  sound.cpp
  timezone.cpp
  vcarddrag.cpp
  vcardtool.cpp
  fieldgroup.cpp
  title.cpp
  nickname.cpp
  role.cpp
  note.cpp
  org.cpp
  clientpidmap.cpp
  ${vcardparser_SRCS}
  kcontacts.qrc
)

set(kcontacts_converter_SRCS
  converter/vcardconverter.cpp
  converter/ldifconverter.cpp
)

ecm_qt_declare_logging_category(kcontacts_converter_SRCS HEADER kcontacts_debug.h IDENTIFIER KCONTACTS_LOG CATEGORY_NAME org.kde.pim.kcontacts)

add_library(KF5Contacts ${kcontacts_SRCS} ${kcontacts_converter_SRCS})

generate_export_header(KF5Contacts BASE_NAME kcontacts)

add_library(KF5::Contacts ALIAS KF5Contacts)

target_include_directories(KF5Contacts INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KContacts>")
target_include_directories(KF5Contacts PUBLIC "$<BUILD_INTERFACE:${KContacts_SOURCE_DIR}/src;${KContacts_BINARY_DIR}/src>")
target_include_directories(KF5Contacts PUBLIC "$<BUILD_INTERFACE:${KContacts_SOURCE_DIR}/src/vcardparser>")

target_link_libraries(KF5Contacts
PUBLIC
    KF5::CoreAddons
PRIVATE
    Qt5::Gui
    KF5::ConfigCore
    KF5::I18n
    KF5::Codecs # for the vcard parser
)

set_target_properties(KF5Contacts PROPERTIES
    VERSION ${KContacts_VERSION_STRING}
    SOVERSION ${KContacts_SOVERSION}
    EXPORT_NAME Contacts
)

install(TARGETS KF5Contacts EXPORT KF5ContactsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KContacts_CamelCase_HEADERS
  HEADER_NAMES
  Address
  Addressee
  AddresseeList
  CalendarUrl
  ContactGroup
  ContactGroupTool
  Email
  Field
  Geo
  Gender
  Key
  Lang
  Impp
  PhoneNumber
  Picture
  Related
  ResourceLocatorUrl
  Secrecy
  SortMode
  Sound
  TimeZone
  Title
  Role
  Note
  Org
  NickName
  VCardDrag
  FieldGroup
  ClientPidMap
  PREFIX KContacts
  REQUIRED_HEADERS KContacts_HEADERS
)

add_subdirectory(converter)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcontacts_export.h
    ${KContacts_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KContacts/kcontacts
    COMPONENT Devel
)

install(FILES
    ${KContacts_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KContacts/KContacts
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KContacts LIB_NAME KF5Contacts DEPS "CoreAddons" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KContacts)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kcontacts (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:17:14 +0800

## kcontacts 18.12.3

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               iso-codes,
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Depends: libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.31.0~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: address book API for KDE frameworks
 KContacts is an API for address book data.
